#include "SIrrCreationParameters.h"
#include "IRenderWindow.h"
#include "IVideoContext.h"


namespace irr
{


video::SRenderWindowConfig SIrrlichtCreationParameters::generateWindowConfig() const
{
    video::SRenderWindowConfig windowConfig;
    windowConfig.Fullscreen = Fullscreen;
//    config.Bits = CreationParams.Bits;
    windowConfig.WindowSize = WindowSize;
    windowConfig.Vsync = Vsync;

    return windowConfig;
}


video::SVideoContextConfig SIrrlichtCreationParameters::generateContextConfig() const
{

    video::SVideoContextConfig contextConfig;
    contextConfig.Bits          = Bits;
    contextConfig.AntiAlias     = AntiAlias;
    contextConfig.Doublebuffer  = Doublebuffer;
    contextConfig.Stereobuffer  = Stereobuffer;
    contextConfig.HandleSRGB    = HandleSRGB;
    contextConfig.Stencilbuffer = Stencilbuffer;
    contextConfig.ContextSize   = WindowSize;
    contextConfig.PureSoftware = false;
    contextConfig.HighPrecisionFPU = UsePerformanceTimer;   // think it's ok
    contextConfig.DisplayAdapter = DisplayAdapter;   // think it's ok
    contextConfig.DriverMultithreaded = false; //TODO

    return contextConfig;
}


}
