
// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_BURNINGSVIDEO_CONTEXT_LINUX_H_INCLUDED__
#define __C_BURNINGSVIDEO_CONTEXT_LINUX_H_INCLUDED__


#include "IrrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_X11_DEVICE_
#ifdef _IRR_COMPILE_WITH_BURNINGSVIDEO_

#include "IBurningVideoContext.h"
#include "ISoftwareContextLinux.h"

namespace irr
{
namespace video
{

class IRenderWindow;
class CImage;
class CRenderWindowLinux;



class CBurningVideoContextLinux :  public IBurningVideoContext
                            , public ISoftwareContextLinux
{
public:
    //CRenderWindowWin32* window
//    CBurningVideoContextWin32 (
//                           HWND , IZBuffer* zBuffer, CImage* backBuffer, const SVideoContextConfig& config
//                          );

    CBurningVideoContextLinux(
                XImage *image,
                IDepthBuffer* depthBuffer,
                CImage* backBuffer,
                IStencilBuffer* stencilBuffer,
                const SVideoContextConfig& config
                );

    virtual ~CBurningVideoContextLinux ();


    bool isCompatibleWithRenderWindow(IRenderWindow* ) const ;

    // HACK ?
    virtual bool setTarget(void* );
    virtual bool swapBuffers(core::rect<s32>* src) ;
//    virtual bool setTarget(void* );
//    bool swapBuffers( core::rect<s32>* src);

    void releaseContext();

//    HWND WindowHandle;
};

}
}

#endif // _IRR_COMPILE_WITH_BURNINGSVIDEO_
#endif // _IRR_COMPILE_WITH_X11_DEVICE_

#endif
